Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Here is a list of all class members with links to the classes they belong to:

### - c -

- cache() : eZTemplate
- CACHE_CODE_DATE : eZCodePage , eZCodePageMapper
- CACHE_DIR : eZExtension
- CACHE_ID : ezpRestMvcController
- cacheDirectory() : eZSys , eZTranslationCache
- cachedTransformationPath() : eZCharTransform
- cacheFile() : eZTemplate
- cacheFileName() : eZCodePage , eZTemplate
- cacheFilePath() : eZCharTransform
- cacheFilepath() : eZCodePage
- cachePath() : eZTemplate
- cacheTable() : eZTranslationCache
- cacheURL() : ezpStaticCache
- calculateSize() : eZMail
- canRestoreCache() : eZTranslationCache
- capitalize() : eZTextTool
- caption() : eZImage , eZMedia
- cart() : eZCartItem
- cartItem() : eZCartOptionValue
- cartTotals() : eZCart
- catalogNumber() : eZProduct
- categories() : eZAd , eZArticle , eZBulkMail , eZCompany , eZForum , eZImage , eZLink , eZMedia , eZNews , eZProduct , eZTip
- category() : eZBug , eZGroupEvent , eZSourceSite
- categoryDefinition() : eZArticle , eZImage , eZLink , eZMedia , eZProduct
- categoryDefinitionStatic() : eZArticle
- categoryID() : eZBulkMailSubscriptionAddress , eZBulkMailSubscriptionUser , eZBulkMailUserSubscripter , eZSectionFrontPage , eZTodo
- cc() : eZForm , eZMail
- change() : eZSiteAccess
- changed() : eZSurvey
- changeLabel() : eZDebugSetting
- characterByteLength() : eZUTF8Codec
- characterEncodingScheme() : eZCharsetInfo
- charsetCode() : eZCodePage
- charsetList() : eZMBStringMapper
- charToUnicode() : eZCodePage
- charToUtf8() : eZCodePage
- check() : eZBulkMailForgot , eZForgot
- CHECK_SUM_LIST_FILE : eZMD5
- checkCacheGenerationTimeout() : eZClusterFileHandlerInterface , eZDFSFileHandler , eZFSFileHandler
- checkCC() : eZCCTool
- checkDebugByUser() : eZDebug
- checkDeleteRecursive() : eZWebDAVContentBackend
- checkImage() : eZImage
- checkMail() : eZMailAccount
- checkMaxClassLength() : eZAutoloadGenerator
- checkMD5Sums() : eZMD5
- checkMedia() : eZMedia
- checkMode() : eZAutoloadGenerator
- checkParams() : ezpRestOauthTokenController
- checkPermission() : eZPermission
- checkReadPermission() : eZImage
- checkRoute() : ezpRestIniRouteFilter
- checkType() : eZMailFilterRule
- checkUrl() : eZLink
- checkWritePermission() : eZImage
- childSignalHandler() : ezpContentPublishingQueueProcessor
- chmod() : eZPBFile
- choiceID() : eZResponseQuestion , eZVote
- chostname() : eZSysinfo
- classCanBeAdded() : eZAutoloadGenerator
- classCount() : eZContentLanguage
- classExistsInArray() : eZAutoloadGenerator
- CLEAN_ON_FAILURE : eZFile
- cleanDefaultsCache() : eZContentObjectState
- cleanExit() : eZExecution
- cleanPath() : eZDFSFileHandler , eZDir
- cleanup() : eZExecution , ezpSessionHandler , ezpSessionHandlerDB , ezpSessionHandlerPHP , ezpSessionHandlerSymfony , eZSession
- cleanupDeadProcesses() : ezpContentPublishingQueueProcessor
- cleanupEmptyDirectories() : eZClusterFileHandler , eZDir
- cleanupFinishedProcesses() : ezpContentPublishingQueueProcessor
- cleanupGeneratingFiles() : eZClusterFileHandler
- cleanupHandlers() : eZExecution
- clear() : eZCart , eZWishList
- clearAccessPath() : eZSys
- clearActiveExtensionsCache() : eZExtension
- clearActiveExtensionsMemoryCache() : eZExtension
- clearAutoCookieLogin() : eZUser
- clearCache() : ezpRestRoutesCacheClear , eZTemplate
- clearCronjobMode() : eZContentLanguage
- clearParameters() : eZXMLRPCCall
- clearPrioritizedLanguages() : eZContentLanguage
- clearVars() : eZTemplate
- clickCount() : eZAd , eZTip
- clickPrice() : eZAd , eZTip
- clickTime() : eZAdClick , eZTipClick
- clientIP() : eZSys
- cloneObject() : eZForumMessage , eZProductCategory
- close() : eZFileHandler , eZInformixDB , eZMySQLDB , eZPBLog , eZPostgreSQLDB , ezpSessionHandler , eZSQLite3DB
- closedGames() : eZQuizGame
- clusterRetrieve() : ezpRestCacheStorageCluster
- CODE_DATE : eZCharTransform , eZTranslationCache
- codecURL() : eZURI
- codePage() : eZCodePageCodec
- codepageList() : eZCodePage
- codeToUnicode() : eZCodePage
- codeToUtf8() : eZCodePage
- commandUrlCleanup() : eZCharTransform
- commandUrlCleanupCompat() : eZCharTransform
- commandUrlCleanupIRI() : eZCharTransform
- comment() : eZCompany , eZOrder , eZOrderStatus , eZPerson
- commit() : eZInformixDB , eZMySQLDB , eZPostgreSQLDB , ezpSearchEngine , eZSQLite3DB
- companies() : eZPerson
- company() : eZConsultation
- companyConsultationCount() : eZConsultation
- companyID() : eZCart , eZOrder
- companyImage() : eZCompany
- companyNo() : eZCompany
- compat_array_keys() : eZSysinfo
- compat_in_array() : eZSysinfo
- complete() : eZResponse
- completedPage() : eZForm
- compress() : eZBZIP2Handler , eZCompressionHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- compressionLevel() : eZGZIPCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- conditionText() : eZPersistentObject
- conditionTextByRow() : eZPersistentObject
- configureObject() : ezpRestDbConfig , ezpRestPoConfig
- confirm() : eZOrderConfirmation
- confirmOrder() : eZOrderConfirmation
- connect() : eZSQLite3DB
- connectRetryCount() : eZSQLite3DB
- connectRetryWaitTime() : eZSQLite3DB
- construct_request_xml() : upsRate
- contact() : eZCompany , eZPerson
- contactType() : eZCompany
- content() : eZQuestion
- contentClass() : ezpContentCriteria
- contents() : eZArticle , eZProduct
- contentsWriter() : eZArticle
- contextCache() : eZTranslationCache
- conversionRequired() : eZTextCodec
- convertCodepage() : eZTextCodec
- convertCodepageMapper() : eZTextCodec
- convertCodepageRev() : eZTextCodec
- convertCodepageToUnicode() : eZTextCodec
- convertCopy() : eZPBImageFile
- convertFilterString() : eZURI
- convertMBString() : eZTextCodec
- convertNone() : eZTextCodec
- convertNoneToUnicode() : eZTextCodec
- convertSeparators() : eZDir
- convertString() : eZCodePage , eZCodePageMapper , eZMBStringMapper , eZTextCodec
- convertStringFromUTF8() : eZCodePage
- convertStringToUnicode() : eZCodePage , eZUTF8Codec
- convertUnicodeToCodepage() : eZTextCodec
- convertUnicodeToString() : eZCodePage , eZUTF8Codec
- convertUnicodeToUTF8() : eZTextCodec
- convertUTF8ToUnicode() : eZTextCodec
- cookieLogin() : eZUser
- copy() : eZAddress , eZDir , eZFileHandler , eZPBFile , eZProductCategory , eZWebDAVContentBackend
- copyContent() : eZWebDAVContentBackend
- copyFromDFS() : eZDFSFileHandlerDFSBackend , eZDFSFileHandlerDFSBackendInterface
- copyFromDFSToDFS() : eZDFSFileHandlerDFSBackend , eZDFSFileHandlerDFSBackendInterface
- copyMail() : eZMail
- copyObject() : eZWebDAVContentBackend
- copyObjectSameDirectory() : eZWebDAVContentBackend
- copyQuestion() : eZQuestion
- copyRecursive() : eZWebDAVContentBackend
- copySurvey() : eZSurvey
- copyTimestamp() : eZDFSFileHandlerDFSBackend
- copyToDFS() : eZDFSFileHandlerDFSBackend , eZDFSFileHandlerDFSBackendInterface
- copyTree() : eZArticleCategory
- copyVirtualFolder() : eZWebDAVContentBackend
- correctPrice() : eZCartItem , eZOptionValue , eZOrderItem , eZPriceGroup , eZProduct , eZVoucher , eZVoucherInformation , eZVoucherUsed
- correctPriceGroup() : eZPriceGroup
- correctPriceRange() : eZProduct
- correctSavings() : eZCartItem , eZOptionValue , eZProduct
- count() : eZAddressType , eZArticleForm , eZCartItem , eZCartOptionValue , eZConsultationType , eZForm , eZFormElement , eZFormElementFixedValue , eZFormElementType , eZMailFolder , eZMenu , eZOrderItem , ezpContentCriteriaSet , ezpContentList , eZPersistentObject , eZPhoneType , eZProductForm , eZProductPriceRange , eZProjectType , ezpSessionHandler , ezpSessionHandlerDB , ezpSessionHandlerSymfony , eZQuizAlternative , eZQuizAnswer , eZQuizGame , eZQuizQuestion , eZQuizScore , eZSection , eZVoucher , eZVoucherEMail , eZVoucherInformation , eZVoucherSMail , eZVoucherUsed , eZWishListItem
- countActive() : eZSession
- countAllByGame() : eZQuizScore
- countAllByUser() : eZQuizScore
- countAllSavedByUser() : eZQuizScore
- countAlternatives() : eZQuizQuestion
- countBugs() : eZBugModule
- countByCategory() : eZCompany
- countByParent() : eZArticleCategory , eZImageCategory , eZMediaCategory
- countCorrectAlternatives() : eZQuizQuestion
- countDataItems() : ezpRestCacheStorageCluster
- counter() : eZForm , eZMySQLDB , eZSQLite3DB
- counterAdd() : eZForm
- countFiles() : eZVirtualFolder
- countMessages() : eZForumMessage
- countReplies() : eZForumMessage
- country() : eZAddress
- countryId() : eZRegion
- countUnassigned() : eZImage , eZMedia
- cppHighlight() : eZTechRenderer
- cpu() : eZSysinfo
- create() : eZFile , ezpContent
- createAccumulator() : eZDebug
- createAccumulatorGroup() : eZDebug
- createBox() : eZMenuBox
- createCollection() : eZWebDAVContentBackend
- created() : eZArticle , eZBug , eZBugLog , eZLink , eZMessage , eZSession , eZTodoLog , eZVoucher
- createErrorImage() : eZImageVariation
- createErrorString() : ezpOauthRequired
- createFatalRedirectRequest() : ezpMvcConfiguration
- createFile() : eZDFSFileHandlerDFSBackend
- createFileOnDFS() : eZDFSFileHandlerDFSBackend , eZDFSFileHandlerDFSBackendInterface
- createFolder() : eZWebDAVContentBackend
- createFormatter() : ezpAttributeOperatorManager
- createForum() : eZArticle
- createIndex() : eZArticle , eZForumMessage
- createKey() : eZTranslatorManager
- createMessage() : eZTranslatorManager
- createMultiLevelPath() : eZDir
- createProvider() : ezpRestProvider
- createRenderer() : ezpRestContentRenderer
- createRequestObject() : ezpRestHttpRequestParser
- createRequestParser() : ezpMvcConfiguration
- createResource() : eZWebDAVContentBackend
- createResponseWriter() : ezpMvcConfiguration
- createResult() : ezpRestMvcController
- createRouter() : ezpMvcConfiguration
- createRoutes() : ezpRestRouter
- createShellArgument() : eZSys
- createView() : ezpMvcConfiguration
- createWatermark() : eZImage
- createZones() : ezpRestJsonView
- creatorID() : eZCompany
- csvArrayToArray() : eZCSVImport
- csvFileToArray() : eZCSVImport
- csvStringToArray() : eZCSVImport
- current() : ezpContentCriteriaSet , ezpContentFieldSet , ezpContentList , eZSiteAccess
- currentPosition() : eZSlideshow
- currentSiteFromPath() : eZWebDAVContentBackend
- currentTranslation() : eZContentObjectState , eZContentObjectStateGroup
- currentUser() : eZUser
- currentUsers() : eZUser
- currentWorkingProcessCount() : ezpContentPublishingProcess
- custom() : ezpContentCriteria
- customers() : eZOrder
- ezcrc32() : eZSys
- eZCSVImport() : eZCSVImport

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.